GTKADA-CONFIG(1)

NAME
gtkada-config - script to get information about the installed version of GTKADA

SYNOPSIS
gtkada-config [--prefix[=DIR]] [--version] [--libs] [--cflags] [--static]

DESCRIPTION

gtkada-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use GTKADA.

OPTIONS
gtkada-config accepts the following options:

--version
    Print the currently installed version of GTKADA on the standard output.

--libs
    Print the linker flags that are necessary to link a GTKADA program.

--cflags
    Print the compiler flags that are necessary to compile a GTKADA program.

--static
    Print the flags that are necessary to statically build a GTKADA program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that GTKADA was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
glade(1)

COPYRIGHT FOR THIS MAN PAGE
This man page has been written by Samuel Tardieu for the Debian GNU/Linux distribution, from informations given by the GtkAda authors Emmanuel Briot, Joel Brobecker and Arnaud Charlet. Permission to use, copy, modify, and distribute this documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.